<?php 
	date_default_timezone_set('America/Mazatlan');
function insertarLog($datos,$id_aplicacion){
	include "conexion.php";
	//AQUI SE VERIFIFCARIA EL PARAMETRO DE LOG_ANDROID	

	$sentencia = $conexion->prepare("SELECT valor FROM parametros where id_parametro='log_android' ");
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	$valor_log=0;

	while($fila = $resultado->fetch_assoc())
	{
		$valor_log=$fila['valor'];
	}

	$sentencia->close();
	
	if($valor_log==1){
		//$milisegundos = round(microtime(true) * 1000);
		$date = date_create();
		$cadena_fecha_actual = date_format($date, 'Y-m-d H:i:s.u');
		$logFile = fopen("logs/log_".$id_aplicacion.".txt", 'a') or die("Error creando archivo");
		fwrite($logFile, "\n".$cadena_fecha_actual." id_app:".$id_aplicacion.$datos) or die("Error escribiendo en el archivo");fclose($logFile);	
	}
}

?>